# RPM specfile for the CrontabHistory package
# Copyright 2008 Parliament Hill Computers Ltd, all rights reserved.
# Author: ADDW December 2008
# SCCS: @(#)CrontabHistory.spec	1.7 06/18/15 13:54:17
# Note that the version number (1.7 - SCCS %-I-% (sans -)) of this file defines the package version #. It is used in the Makefile.

%define name CrontabHistory
%define version 1.7
%define release 1.1

Summary: Back up personal crontab files into $HOME.
Name: %{name}
Version: %{version}
Release: %{release}
# Should use SCCS for below:
Source: http://www.phcomp.co.uk/Downloads/CrontabHistory-%{version}.tar.gz
Vendor: %{vendor}
URL: %{phcl_url}
BuildArchitectures: noarch


License: GPL
# Copyright: GPL --- this is old/unsupported syntax

Packager: %{packager}

Group: Applications/Archiving
BuildRoot: %{_builddir}/%{name}-root
%if 0%{?rhel} >= 5
%if 0%{?rhel} >= 7
Requires: ksh coreutils cronie
%else
Requires: ksh coreutils vixie-cron
%endif
%else
Requires: pdksh coreutils vixie-cron
%endif
BuildRequires: make

# This is only needed if we want to build a relocatable RPM:
#Prefix: %{_prefix}

%description
Script to backup personal crontab files into your home directory.

%prep
%setup -q

%build
%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT%{_prefix} VERSION=%{version} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/CrontabHistory
%doc README License
%{_mandir}/man*/CrontabHistory.*

%changelog
* Mon Dec 29 2008 Alain Williams <addw@phcomp.co.uk>
- First put into an RPM.
